# $Revision: 1.37 $, $Date: 2011/10/23 17:28:50 $
#
# TODO:
# - consider doing subpackages for all those plugins (which one should be in main package ?)
#
# Conditional build:
%bcond_without	aspell	# don't build aspell support
%bcond_without	gtk	# build gtk support
%bcond_with	qt	# don't build qt support
%bcond_without	ruby	# don't build ruby plugin support
%bcond_without	lua	# don't build lua plugin support
%bcond_without	perl	# don't build perl plugin support
%bcond_without	python	# don't build python plugin support
%bcond_without	gnutls	# don't build gnutls support

%define		skip_post_check_so	ruby.so.0.0.0

Summary:	WeeChat - fast and light chat environment
Summary(pl.UTF-8):	WeeChat - szybkie i lekkie środowisko do rozmów
Name:		weechat
Version:	0.3.6
Release:	1
License:	GPL v3+
Group:		Applications/Communications
Source0:	http://www.weechat.org/files/src/%{name}-%{version}.tar.gz
# Source0-md5:	f130af1f858919fd446561faeaaf555e
Patch0:		%{name}-ac.patch
Patch1:		%{name}-plugins_header.patch
Patch2:		%{name}-curses.patch
URL:		http://www.weechat.org/
%{?with_aspell:BuildRequires:	aspell-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_gnutls:BuildRequires:	gnutls-devel}
%{?with_gtk:BuildRequires:	gtk+2-devel}
BuildRequires:	libtool
BuildRequires:	libgcrypt-devel
%{?with_lua:BuildRequires:	lua51-devel}
BuildRequires:	ncurses-devel
%{?with_perl:BuildRequires:	perl-devel}
BuildRequires:	pkgconfig
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
%{?with_qt:BuildRequires:	qt-devel}
BuildRequires:	rpmbuild(macros) >= 1.129
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	tcl-devel
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WeeChat (Wee Enhanced Environment for Chat) is a fast and light chat
environment for many operating systems. Everything can be done with a
keyboard. It is customizable and extensible with scripts.

%description -l pl.UTF-8
WeeChat (Wee Ehanced Environment for Chat) to szybkie i lekkie
środowisko do rozmów dla wielu systemów operacyjnych. Pozwala wszystko
zrobić przy pomocy klawiatury. Jest konfigurowalne i rozszerzalne za
pomocą skryptów.

%package gtk
Summary:	GTK WeeChat UI
Group:		Applications/Communications
Requires:	%{name}-common = %{version}-%{release}

%description gtk
GTK WeeChat UI.

%package common
Summary:	WeeChat common files
Group:		Applications/Communications

%description common
WeeChat common files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
sed -i -e 's#PYTHON_LIB=.*#PYTHON_LIB=%{_libdir}#g' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--enable-threads=posix \
	--disable-doc \
	--disable-static \
	--%{?with_qt:en}%{!?with_qt:dis}able-qt \
	--enable-ncurses \
	--%{?with_aspell:en}%{!?with_aspell:dis}able-aspell \
	--%{?with_gtk:en}%{!?with_gtk:dis}able-gtk \
	--%{?with_perl:en}%{!?with_perl:dis}able-perl \
	--%{?with_python:en}%{!?with_python:dis}able-python \
	--%{?with_ruby:en}%{!?with_ruby:dis}able-ruby \
	--%{?with_lua:en}%{!?with_lua:dis}able-lua \
	--%{?with_gnutls:en}%{!?with_gnutls:dis}able-gnutls \
	%{!?debug:--with-debug=0}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/weechat/plugins/*.la
cp doc/weechat-curses.1 $RPM_BUILD_ROOT%{_mandir}/man1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/weechat-curses
%{_mandir}/man1/weechat-curses.1*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/weechat-gtk
%endif

%files common -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README UPGRADE_0.3
%dir %{_includedir}/weechat
%dir %{_libdir}/weechat
%dir %{_libdir}/weechat/plugins
%{_includedir}/weechat/weechat-plugin.h
%attr(755,root,root) %{_libdir}/weechat/plugins/alias.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/aspell.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/charset.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/fifo.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/irc.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/logger.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/lua.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/perl.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/python.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/relay.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/rmodifier.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/ruby.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/tcl.so*
%attr(755,root,root) %{_libdir}/weechat/plugins/xfer.so*
%{_pkgconfigdir}/weechat.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: weechat.spec,v $
Revision 1.37  2011/10/23 17:28:50  charles
- updated to 0.3.6
- BR: libgcrypt-devel

Revision 1.36  2011/09/01 17:06:01  arekm
- release 3

Revision 1.35  2011/08/31 06:58:38  arekm
- release 2

Revision 1.34  2011/05/15 15:39:00  charles
- BR lua51-devel instead of lua-devel

Revision 1.33  2011/05/15 15:17:39  charles
- up to 0.3.5

Revision 1.32  2011/01/16 14:14:04  charles
- build without doc

Revision 1.31  2011/01/16 13:50:11  charles
- updated to 0.3.4

Revision 1.30  2011/01/14 17:46:02  charles
- up to 0.3.3

Revision 1.29  2010/11/25 12:28:28  hawk
- added skip_post_check_so to allow build

Revision 1.28  2010/07/09 11:25:55  arekm
- release 4

Revision 1.27  2010/06/06 11:37:41  shadzik
- add -curses.patch
- rel 3

Revision 1.26  2010/06/06 08:53:48  arekm
- release 2

Revision 1.25  2010/05/18 09:55:40  arekm
- Applications/Communications for all pkgs

Revision 1.24  2010/05/18 09:49:03  arekm
use Applications/Communications group

Revision 1.23  2010/04/29 15:02:39  duddits
- up to 0.3.2

Revision 1.22  2010/03/01 15:40:33  baggins
- rel 2

Revision 1.21  2010/02/19 08:55:50  duddits
- up to 0.3.1.1
- bug fix release, do not use 0.3.1
- this version fixes crashes with SSL connection to IRC server and
  purge of old DCC chats

Revision 1.20  2010/02/18 13:39:17  sparky
- BR: tcl-devel
- dropped unused BR: docbook-style-xsl

Revision 1.19  2010/02/18 10:34:09  duddits
- up to 0.3.1
- ac.patch updated
- plugins_header.patch (missing DESTDIR)
- %configure options updated
- new plugins
- %files

Revision 1.18  2009/03/26 10:20:34  duddits
- up to 0.2.6.1

Revision 1.17  2009/02/18 20:53:23  arekm
- release 3

Revision 1.16  2008/10/03 18:06:16  arekm
- release 2

Revision 1.15  2008-06-13 14:29:36  charles
- add BR: gettext-devel, pkgconfig, python-modules
- lua-devel >= 5.0

Revision 1.14  2008-06-09 21:17:19  qboosh
- BR: libtool

Revision 1.13  2008-06-07 20:55:12  lkrotowski
- libtoolize, automake helps building with libtool2
- do not expect gtk sub-package when building without gtk

Revision 1.12  2008-03-14 22:26:37  arekm
- gtk UI added; qt gui doesn't exist

Revision 1.11  2008-03-14 22:09:37  arekm
- up to 0.2.6

Revision 1.10  2007/05/17 20:40:44  qboosh
- removed INSTALL from doc (nothing useful after build)
- plugin files cleanup

Revision 1.9  2007/03/16 18:14:02  qboosh
- pl

Revision 1.8  2007/03/05 15:55:52  shadzik
- TODO added

Revision 1.7  2007/03/05 15:51:16  shadzik
- shadzik wouldn't you mind to finally adapterize this !?
- oh sure, here you are
- thanks

Revision 1.6  2007/03/05 10:39:16  shadzik
- add support for aspell
- rel 0.3

Revision 1.5  2007/03/05 10:24:26  shadzik
- build ncurses version no matter what
- rel 0.2

Revision 1.4  2007/03/05 10:12:08  shadzik
- add BRs, bconds and functionality

Revision 1.3  2007/03/05 09:59:03  shadzik
- add some docs

Revision 1.2  2007/03/05 09:50:29  shadzik
- fix %files, installation, etc.

Revision 1.1  2007/03/05 09:40:17  shadzik
- initial
- NFY
